#!/usr/bin/python
#McDermott
#2016-02-01 20:52:39

from __future__ import division # make floating point division default as in Matlab, e.g., 1/2=0.5
import math
import numpy as np
import scipy.special as sp
import matplotlib.pyplot as plt
import matplotlib.patches as patches
from matplotlib import rc
rc('font',**{'family':'sans-serif','sans-serif':['Helvetica'],'size':16})

data = np.random.randint(2,size=(10,10))

#https://matplotlib.org/users/colormaps.html
plt.imshow(data, interpolation='nearest', cmap=plt.cm.get_cmap('inferno'))

#plt.axis('off') # we remove ticks and labels
plt.xticks([])
plt.yticks([])
plt.show()

plt.hist(data, bins=10)
plt.show()

# fig.savefig('uniform_particles.pdf', format='pdf', bbox_inches='tight')
# fig.clf()
